Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlTransformCopy

    java.lang.Object
      com.hp.hpl.jena.sdb.core.sqlnode.SqlTransformCopy

All Implemented Interfaces:
  SqlTransform

    public class SqlTransformCopy

extends Object
implements SqlTransform

Field Summary
`static boolean` | `COPY_ALWAYS`
`static boolean` | `COPY_ONLY_ON_CHANGE`

Constructor Summary
`SqlTransformCopy()`
`SqlTransformCopy(boolean alwaysDuplicate)`

Method Summary
`SqlNode` | `transform(SqlCoalesce sqlCoalesce, SqlNode subNode)`
`SqlNode` | `transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlDistinct, SqlNode subNode)`
`SqlNode` | `transform(SqlJoinInner sqlJoinInner, SqlNode left, SqlNode right)`
`SqlNode` | `transform(SqlJoinLeftOuter sqlJoinLeftOuter, SqlNode left, SqlNode right)`
`SqlNode` | `transform(SqlProject sqlProject, SqlNode subNode)`
`SqlNode` | `transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename, SqlNode subNode)`
`SqlNode` | `transform(SqlRestrict sqlRestrict, SqlNode subNode)`
`SqlNode` | `transform(SqlSelectBlock sqlSelectBlock, SqlNode subNode)`
`SqlNode` | `transform(SqlSlice sqlSlice, SqlNode subNode)`
`SqlNode` | `transform(SqlTable sqlTable)`
`SqlNode` | `transform(SqlUnion sqlUnion, SqlNode left, SqlNode right)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY_ALWAYS

    public static final boolean COPY_ALWAYS

See Also:
  Constant Field Values

### COPY_ONLY_ON_CHANGE

    public static final boolean COPY_ONLY_ON_CHANGE

See Also:
  Constant Field Values

Constructor Detail

### SqlTransformCopy

    public SqlTransformCopy()

### SqlTransformCopy

    public SqlTransformCopy(boolean alwaysDuplicate)

Method Detail

### transform

    public SqlNode transform(SqlProject sqlProject,
                             SqlNode subNode)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlDistinct,
                             SqlNode subNode)

### transform

    public SqlNode transform(SqlRestrict sqlRestrict,
                             SqlNode subNode)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlSlice sqlSlice,
                             SqlNode subNode)

### transform

    public SqlNode transform(SqlSelectBlock sqlSelectBlock,
                             SqlNode subNode)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlJoinInner sqlJoinInner,
                             SqlNode left,
                             SqlNode right)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlJoinLeftOuter sqlJoinLeftOuter,
                             SqlNode left,
                             SqlNode right)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlUnion sqlUnion,
                             SqlNode left,
                             SqlNode right)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlTable sqlTable)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename,
                             SqlNode subNode)

  Specified by:
    `transform` in interface `SqlTransform`

### transform

    public SqlNode transform(SqlCoalesce sqlCoalesce,
                             SqlNode subNode)

  Specified by:
    `transform` in interface `SqlTransform`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.